## python-oslo.vmware 2.16.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

stevedore>=1.17.1 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
six>=1.9.0 # MIT

oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.10.0 # MIT

lxml>=2.3 # BSD
suds-jurko>=0.6 # LGPLv3+
eventlet!=0.18.3,>=0.18.2 # MIT
requests>=2.10.0 # Apache-2.0
urllib3>=1.15.1 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0

## python-oslo.vmware 2.17.0

=== requirements.txt ===
--- 
+++ 
@@ -14,9 +14,9 @@
 # for the routing notifier
 PyYAML>=3.10.0 # MIT
 
-lxml>=2.3 # BSD
+lxml!=3.7.0,>=2.3 # BSD
 suds-jurko>=0.6 # LGPLv3+
 eventlet!=0.18.3,>=0.18.2 # MIT
-requests>=2.10.0 # Apache-2.0
+requests!=2.12.2,>=2.10.0 # Apache-2.0
 urllib3>=1.15.1 # MIT
 oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.17.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 21:06:19 +0000

python-oslo.vmware (2.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (build-)depends with upstream.
  * d/control: Add dep-8 test.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:56:39 -0500

python-oslo.vmware (2.16.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * d/control: Align (build-)depends with upstream.
  * d/control: Drop python-mox3 dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 09:20:30 -0500

python-oslo.vmware (2.14.0-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
 
 -- David Della Vecchia <ddv@canonical.com>  Tue, 30 Aug 2016 11:01:25 -0400

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2,
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-suds (>= 0.6),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.15.1),
                     python-yaml (>= 3.10.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-httplib2,
                     python3-lxml (>= 2.3),
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.13),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-suds (>= 0.6),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-urllib3 (>= 1.15.1),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://github.com/openstack/oslo.vmware
Testsuite: autopkgtest-pkg-python

Package: python-oslo.vmware
Architecture: all
Depends: python-eventlet (>= 0.18.2),
         python-httplib2,
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.13),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-suds (>= 0.6),
         python-urllib3 (>= 1.15.1),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.vmware
Architecture: all
Depends: python3-eventlet (>= 0.18.2),
         python3-httplib2,
         python3-lxml (>= 2.3),
         python3-netaddr (>= 0.7.13),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-suds (>= 0.6),
         python3-urllib3 (>= 1.15.1),
         python3-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo-vmware
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware, ${misc:Depends}
Description: transitional dummy package for python-oslo-vmware
 This transitional package is safe to remove.

Package: python-oslo-vmware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware-doc, ${misc:Depends}
Description: transitional dummy package for python-oslo-vmware-doc
 This transitional package to python-oslo.vmware-doc is safe to remove.

## python-oslo.vmware 2.17.1

=== debian/changelog ===
python-oslo.vmware (2.17.1-1) unstable; urgency=medium

  * New upstream version

 -- David Homolka <david.homolka@ultimum.io>  Thu, 03 Aug 2017 15:20:00 +0200

python-oslo.vmware (2.14.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:09:40 +0100

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-httplib2,
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-netaddr,
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-suds,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3,
                     python-yaml,
                     python3-subunit,
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-httplib2,
                     python3-lxml (>= 2.3),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-netaddr,
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-suds,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-urllib3,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.vmware.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.vmware.git -b debian/ocata
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware
Architecture: all
Depends: python-eventlet (>= 0.18.4),
         python-httplib2,
         python-lxml (>= 2.3),
         python-netaddr,
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-suds,
         python-urllib3,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.vmware
Architecture: all
Depends: python3-eventlet (>= 0.18.4),
         python3-httplib2,
         python3-lxml (>= 2.3),
         python3-netaddr,
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-suds,
         python3-urllib3,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

## python-oslo.vmware 2.23.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

stevedore>=1.20.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
six>=1.9.0 # MIT

oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.10.0 # MIT

lxml!=3.7.0,>=2.3 # BSD
suds-jurko>=0.6 # LGPLv3+
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
urllib3>=1.21.1 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.23.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 15:08:45 +0000

python-oslo.vmware (2.23.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:35:42 -0400

python-oslo.vmware (2.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:30 +0100

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2,
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-requests (>= 2.14.2),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.1),
                     python-suds (>= 0.6),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.21.1),
                     python-yaml (>= 3.10.0),
                     python3-ddt (>= 1.0.1),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-httplib2,
                     python3-lxml (>= 2.3),
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.13),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-requests (>= 2.14.2),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.1),
                     python3-subunit,
                     python3-suds (>= 0.6),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-urllib3 (>= 1.21.1),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://github.com/openstack/oslo.vmware
Testsuite: autopkgtest-pkg-python

Package: python-oslo.vmware
Architecture: all
Depends: python-eventlet (>= 0.18.2),
         python-httplib2,
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.13),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.1),
         python-suds (>= 0.6),
         python-urllib3 (>= 1.21.1),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.vmware
Architecture: all
Depends: python3-eventlet (>= 0.18.2),
         python3-httplib2,
         python3-lxml (>= 2.3),
         python3-netaddr (>= 0.7.13),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.1),
         python3-suds (>= 0.6),
         python3-urllib3 (>= 1.21.1),
         python3-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo-vmware
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware, ${misc:Depends}
Description: transitional dummy package for python-oslo-vmware
 This transitional package is safe to remove.

Package: python-oslo-vmware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware-doc, ${misc:Depends}
Description: transitional dummy package for python-oslo-vmware-doc
 This transitional package to python-oslo.vmware-doc is safe to remove.

## python-oslo.vmware 2.26.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

stevedore>=1.20.0 # Apache-2.0
netaddr>=0.7.18 # BSD
six>=1.10.0 # MIT

oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.10 # MIT

lxml!=3.7.0,>=3.4.1 # BSD
suds-jurko>=0.6 # LGPLv3+
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
urllib3>=1.21.1 # MIT
oslo.concurrency>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.26.0-0ubuntu2) bionic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/tests/*: Add autopkgtests for module import and unit test execution.
    Also drop autopkgtest-pkg-python testsuite as generated import tests
    are not correct for this package (LP: #1912792).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Feb 2021 09:57:34 -0500

python-oslo.vmware (2.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:32 +0000

python-oslo.vmware (2.25.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:24:16 +0000

python-oslo.vmware (2.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:32:27 +0000

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.0),
 python-httplib2 (>= 0.9.1),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.1),
 python-suds (>= 0.6),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-urllib3 (>= 1.21.1),
 python-yaml (>= 3.10.0),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-httplib2 (>= 0.9.1),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.1),
 python3-subunit (>= 1.0.0),
 python3-suds (>= 0.6),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.10.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo-vmware
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 python-oslo.vmware,
 ${misc:Depends},
Description: transitional dummy package for python-oslo-vmware
 This transitional package is safe to remove.

Package: python-oslo-vmware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 python-oslo.vmware-doc,
 ${misc:Depends},
Description: transitional dummy package for python-oslo-vmware-doc
 This transitional package to python-oslo.vmware-doc is safe to remove.

Package: python-oslo.vmware
Architecture: all
Depends:
 python-eventlet (>= 0.18.2),
 python-httplib2 (>= 0.9.1),
 python-lxml (>= 3.4.1),
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.1),
 python-suds (>= 0.6),
 python-urllib3 (>= 1.21.1),
 python-yaml (>= 3.10.0),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 python-oslo-vmware (<< 0.13.1-1~),
Replaces:
 python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-httplib2 (>= 0.9.1),
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.1),
 python3-suds (>= 0.6),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.10.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-oslo-vmware (<< 0.13.1-1~),
Replaces:
 python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.vmware; \
	done
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python-oslo.vmware/usr/lib/python2.7/dist-packages/oslo_vmware
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.vmware; \
	done
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware

override_dh_clean:
	rm -rf build
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_vmware\.tests\.(?!.*test_service\.MemoryCacheTest\.test_shared_cache.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.vmware 2.31.0

=== requirements.txt ===
--- 
+++ 
@@ -12,11 +12,11 @@
 oslo.utils>=3.33.0 # Apache-2.0
 
 # for the routing notifier
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 
 lxml!=3.7.0,>=3.4.1 # BSD
 suds-jurko>=0.6 # LGPLv3+
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 requests>=2.14.2 # Apache-2.0
 urllib3>=1.21.1 # MIT
-oslo.concurrency>=3.20.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.31.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:22:21 +0200

python-oslo.vmware (2.31.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building sphinx doc.
  * Now using pkgos-dh_auto_test.
  * Blacklist failing tests in Python 3.7:
    - ExceptionsTest.test_vim_fault_exception_with_cause_and_details()
    - ExceptionsTest.test_vim_fault_exception()

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 18:11:55 +0200

python-oslo.vmware (2.26.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:29:39 +0000

python-oslo.vmware (2.26.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:25:50 +0000

python-oslo.vmware (2.23.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Add missing python-openstackdocstheme b-d (Closes: #880399).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 09:49:15 +0000

python-oslo.vmware (2.23.0-3) experimental; urgency=medium

  * Add missing b-d: python3-ddt (Closes: #877614).

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 03:59:29 +0000

python-oslo.vmware (2.23.0-2) experimental; urgency=medium

  * Add missing (build-)depends python{3,}-lxml (Closes: #877254).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Oct 2017 19:01:25 +0000

python-oslo.vmware (2.23.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Now using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2017 22:18:03 +0200

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage,
 python-ddt,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-httplib2,
 python-lxml,
 python-mock (>= 1.3),
 python-mox3,
 python-netaddr,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 python-suds,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-urllib3 (>= 1.21.1),
 python-yaml,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-httplib2,
 python3-lxml,
 python3-mock (>= 1.3),
 python3-mox3,
 python3-netaddr,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-suds,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-urllib3 (>= 1.21.1),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware.git
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware
Architecture: all
Depends:
 python-ddt,
 python-eventlet,
 python-httplib2,
 python-lxml,
 python-netaddr,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stevedore (>= 1.20.0),
 python-suds,
 python-urllib3 (>= 1.21.1),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet,
 python3-httplib2,
 python3-lxml,
 python3-netaddr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-suds,
 python3-urllib3 (>= 1.21.1),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python-oslo.vmware/usr/lib/python2.7/dist-packages/oslo_vmware
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware

override_dh_clean:
	rm -rf build
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_vmware\.tests\.(?!(.*test_service\.MemoryCacheTest\.test_shared_cache.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception_with_cause_and_details.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception.*))'


endif

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.vmware 2.32.2

=== debian/changelog ===
python-oslo.vmware (2.32.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 16:29:41 +0000

python-oslo.vmware (2.32.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:34 +0000

python-oslo.vmware (2.32.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:29:50 +0000

python-oslo.vmware (2.31.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Use pkgos-dh_auto_test to run tests.
  * d/p/py37-deal-with-Exception-repr-changes.patch: Deal with changes in
    behavior in repr(Exception(...)).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 15:05:02 -0400

python-oslo.vmware (2.29.2-0ubuntu3) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, realigning with oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:48:29 +0100

python-oslo.vmware (2.29.2-0ubuntu2) cosmic; urgency=medium

  * Drop autopkgtest-pkg-python, as it tries to import non-existant
    package oslo.vmware.
  * Manually add equivalent test, which tries to import oslo_vmware
    package.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Mon, 18 Jun 2018 12:04:26 +0100

python-oslo.vmware (2.29.2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields for Ubuntu.
    - d/control: Enable autopkgtest-pkg-python.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 12:06:25 +0100

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2,
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-mox3,
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stestr,
 python-stevedore (>= 1:1.20.0),
 python-suds (>= 0.6),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-urllib3 (>= 1.21.1),
 python-yaml (>= 3.12),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-httplib2,
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware
Architecture: all
Depends:
 python-ddt,
 python-eventlet (>= 0.18.2),
 python-httplib2,
 python-lxml (>= 3.4.1),
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-suds (>= 0.6),
 python-urllib3 (>= 1.21.1),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
Description: VMware library for OpenStack projects - Python 2.7
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
-	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python-oslo.vmware/usr/lib/python2.7/dist-packages/oslo_vmware
 	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware
 
 override_dh_clean:
@@ -17,13 +16,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'oslo_vmware\.tests\.(?!(.*test_service\.MemoryCacheTest\.test_shared_cache.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception_with_cause_and_details.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception.*))'
-
-
+	pkgos-dh_auto_test
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run
